/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;

/**
* Base servant class. All skeletons extends this class
* 
* @author Olav Haugan
*
* 14.10.01
*/

public abstract class Servant
{
   protected boolean bigEndian;

   public abstract byte[] _invoke( mqc.protocols.Reply handler, String method, byte[] buffer, mqc.holders.IntHolder ptr);

   public abstract String getID();

   public void setBigEndian(boolean bigEndian)
   {
      this.bigEndian = bigEndian;
   }

};
// End of file.
