/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package ZEN_IDL.be.helperUtils;

import java.util.*;

public class InterfaceInheritence{
	private Vector spec;
	private Vector cPackage;
	
	public InterfaceInheritence( Vector currentPackage ){
		cPackage = (Vector)currentPackage.clone();
		spec = new Vector();
	}

	public void addSpec( Vector nSpec , boolean isRelative ){
		Vector nSpec1 = new Vector();
		if( isRelative ){
			nSpec1 = (Vector)cPackage.clone();
			for( int i=0 ;i<nSpec.size(); i++){
				nSpec1.add( nSpec.elementAt(i) );
			}
		}else{
			nSpec1 = (Vector)nSpec.clone();
		}
		spec.add( nSpec1 );
	}

	public Vector getInheritence(){
		return spec; 
	}

	public static String getPackage( Vector nSpec ){
		StringBuffer sb = new StringBuffer();
		for( int i=0 ; i<nSpec.size()-1 ; i++ )
			sb.append( (String)nSpec.elementAt( i ) );
		return sb.toString();
	}

	public static String getInterfaceName( Vector nSpec ){
		return (String)nSpec.elementAt( nSpec.size() -1 );
	}
}
