/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.groupcom;
/*
 * MessageListener.java
 *
 * Created on June 6, 2002, 4:03 AM
 */

import java.util.EventListener;

/**
 *
 * @author  Kevin Dorow
 */
public interface MessageListener extends EventListener
{
   // defines a contract between a MessageEvent source and listener classes

   /** define a method that is called whenever a MessageEvent takes place
    */
   public void receiveMessage(MessageEvent me);

}
